plugins {
    id("java")
}

group = "ch.polgrabia.demos"
version = "1.0-SNAPSHOT"

repositories {
    mavenCentral()
}

dependencies {
    implementation("commons-cli:commons-cli:1.9.0")
    implementation("io.vertx:vertx-core:4.5.9")
    implementation("ch.qos.logback:logback-classic:1.5.6")
    implementation("org.apache.kafka:kafka-clients:3.9.0")
    testImplementation(platform("org.junit:junit-bom:5.10.0"))
    testImplementation("org.junit.jupiter:junit-jupiter")
}

tasks.test {
    useJUnitPlatform()
}